import streamlit as st



#st.set_page_config(page_title="Graph LLM", page_icon=":bar_chart:", layout="wide")
page_graph_llm_all = st.Page("pages/st_graph_llm_all.py", title="Graph LLM All")
page_kg_text_brut = st.Page("pages/kg_text_brut.py", title="KG Text Brut")
page_question_gen = st.Page("pages/st_question_generation.py", title="Génération Questions")
knowledge_card = st.Page("pages/st_knowledge_cards.py", title="Knowledge Card")

pg = st.navigation([ page_graph_llm_all, page_kg_text_brut, page_question_gen, knowledge_card])
pg.run()
